Subject: Re: bug#9196: integer and memory overflow issues (e.g., cut-and-paste crashes Emacs)

From: Jan Djärv <[email-masked]>
Date: Sat, 30 Jul 2011 07:52:48 +0200

Paul Eggert skrev 2011-07-29 23:03:

> Also, it's not really true that I won't be the one that has to take
> the time.  I have been taking the time to maintain and improve these
> checks for months now.  I've found several serious bugs in the
> process, some of which allow remote exploits.  I expect to find more
> bugs, and I'll be happy to help in any future problems that crop up
> in this area.  The goal is to have an Emacs implementation that is robust,
> rather than one that crashes when given input that was thought
> "couldn't happen".

I have no problem with checks that fixes bugs.  But the checks that check for 
more than 2 billion command line arguments or more than 2 billion scroll bars 
or more than 250 million i/o sources simply does not make sense.  It is just 
clutter.

	Jan D.